Bug 239336 - Review Request: thunderbird-enigmail - Enigmail extension for Mozilla Thunderbird
Review Request: thunderbird-enigmail - Enigmail extension for Mozilla Thunder...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-07 13:22 EDT by Remi Collet
Modified: 2011-06-13 15:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-07 12:54:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2007-05-07 13:22:39 EDT
Spec URL: http://remi.collet.free.fr/rpms/extras/thunderbird-enigmail.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/thunderbird-enigmail-0.95.0-1.fc8.src.rpm
Mock Log: http://remi.collet.free.fr/rpms/extras/thunderbird-enigmail-buid.log.gz
Description: 
Enigmail is an extension to the mail client Mozilla Thunderbird
which allows users to access the authentication and encryption
features provided by GnuPG

----------

This specfile is mainly the thunderbird one with only enigmail stuff added.
Comment 1 Martin Sourada 2007-05-30 16:03:05 EDT
After quick look on your spec one question came in mind. I have no experience
with packaging plugins for thunderbird/firefox but is it really needed to build
whole thunderbird aside?
Comment 2 David 2007-05-30 18:54:36 EDT
There may have been a bug, but its gone now let me explain.

I installed the thunderbird 2.0 directly from the development repository on two
fc6 servers, both use enigmail (gnupgp).  There is no problem at all.

However - when you first run thunderbird, it goes through its update checks
(much like if you updated firefox from 1 to 2) and then it complains that
enigmail 0.94 is not compatible.  You then highlight it and click find update
(its all part of the update check screen), it goes and puts in enigmail 0.95 and
it all works just perfectly.

Perhaps the enigmail update was not ready back then, but I assure you it all
works 100% and so much better than thunderbird 1.5 and I have not had a single
problem.  I send and receive lots of emails a day.

So its definitely not a bug.
Comment 3 Martin Sourada 2007-05-31 03:30:10 EDT
(In reply to comment #1)
> After quick look on your spec one question came in mind. I have no experience
> with packaging plugins for thunderbird/firefox but is it really needed to build
> whole thunderbird aside?

Hm... I answered myself after a bit more digging in the spec and enigmail
homepage... Yes, and No. We do not need whole thunderbird, only part of it. So
the question now is: does the patches to thunderbird affect the enigmail build?

Apart from this question your spec file looks pretty good, only I don't see
there any documentation, but that's probably OK, as there isn't any in upstream
tarball either, but there is also no licence in separate file, you should query
upstream about that, I think.
Comment 4 Remi Collet 2007-05-31 16:44:47 EDT
The thunderbird patches are probably not needed for enigmail, bug i prefer to
use "exactly" the same build tree than thunderbird to avoid any problem.

And this way the spec is simpler to maintain ;)

For the License, i probably could add :
http://www.mozilla.org/MPL/MPL-1.1.txt

But, this information is available in the "About" option.
Comment 5 Remi Collet 2007-05-31 16:47:25 EDT
I'm waiting for the review before editing the spec, quite long to build :(

I also have to add the es-ES langpack which is now available.
Comment 6 Martin Sourada 2007-06-01 05:55:40 EDT
(In reply to comment #4)
> The thunderbird patches are probably not needed for enigmail, bug i prefer to
> use "exactly" the same build tree than thunderbird to avoid any problem.
> 
> And this way the spec is simpler to maintain ;)
Hmm... I though exactly the oposity in the case of simplicity of maintaining,
but you have the direct experience...

> 
> For the License, i probably could add :
> http://www.mozilla.org/MPL/MPL-1.1.txt
> 
> But, this information is available in the "About" option.
> 

Hm... that way it's probably OK, but it wouldn't hurt adding the licence as
other source and marking it as %%doc
Comment 7 Martin Sourada 2007-06-01 06:04:50 EDT
(In reply to comment #5)
> I'm waiting for the review before editing the spec, quite long to build :(
> 
> I also have to add the es-ES langpack which is now available.

I could take the review, but I am still quite unsure with the approach of aside
building of thunderbird. I mean, at least theoretically, all the thunderbird
files that are needed to build enigmail should go to thunderbird-devel package
(which is currently not created AFAIK) and then enigmail's makemake and
Makefile.in's should be patchable to use the files available in the package. I
just don't like that for such a small extension (about 0.5 MB) we need approx 35
MB big source package and that it takes so long (because of the inclusion tb
build) to build. Just feel this is an issue which needs at least to be discused.
Comment 8 Remi Collet 2007-06-03 03:32:56 EDT
You're right.

Other distro simply build this extension during thunderbird build. Really the
simplest way. But i really don't think C.Aillon will be ok with this (already
discussed). See Bug #175451 and #211371. But feel free to post this on the
"devel" list.

When FF 3 will be available (F8, F9 ?), with separated runtime/devel engine
(gecko/xulrunner), i think this will become possible.
Comment 9 Martin Sourada 2007-07-20 18:51:27 EDT
Hi,

I noticed that xulrunner was approved as a feature for Fedora 8. In OLPC-2
branch it is even already imported (for quite a while), so now we are only
waiting when it lands into rawhide. So, it might have an effect on this
review... Do you know whether it can be built against it (the OLPC's SRPM
rebuilds fine on Fedora 7)? I think it will need some changes to the Makefiles
but the xulrunner(-devel) packages should have got all that is needed to build it.
Comment 10 RedHat-User 2011-06-05 22:38:12 EDT
I'm just pinging the people on the carbon-copy list of this bug to see whatever became of this.  This bug was documented against Fedora 6... my install of Fedora 15 (x86_64) reveals that Enigmail is still not packaged with the Fedora Thunderbird or SeaMonkey RPMs.

Of course, trying to install the enigmail-1.1.2-linux-x86_64-gcc4.4.3.xpi plugin from <http://enigmail.mozdev.org/download/index.html> results in this error:

  "Enigmail" could not be installed because it is not
  compatible with your Thunderbird build type
  (Linux_x86_64-gcc3). Please contact the author of this
  item about the problem.

So, I'm just wondering why Fedora doesn't include Enigmail in their distribution and what you others have done as a work-around.
Comment 11 Remi Collet 2011-06-06 05:17:46 EDT
thunderbird-enigmail package is available in rpmfusion.
Comment 12 RedHat-User 2011-06-13 15:44:02 EDT
(In reply to comment #11)
===
> thunderbird-enigmail package is available in rpmfusion.
===

I'm a week late in doing so, but I still wanted to thank you, Remi, for that information.

I've read a little bit about RPM Fusion[1][2], and I applaud the incredible amount of work those volunteers do.  (That includes you, Remi, as I see you are a contributor.)

It would be nice if RPM Fusion provided Enigmail not only for Thunderbird but for SeaMonkey, too.  But what I think would be better is if the Fedora Project packaged Enigmail for both.  They already package Thunderbird & SeaMonkey, and I think more people would trust this encryption/security-related package if it came from them.  (Not knocking the RPM Fusion volunteers -- it is just one has to wonder why the Fedora Project doesn't package this, themselves.)

I would like to suggest adding Enigmail to Fedora's package wish list[3], but it appears only contributors can edit that wiki page.  (If only I had the time & skills to contribute...)  Anybody know how to suggest a package for inclusion in Fedora?


[1]<http://rpmfusion.org/FAQ#head-38ded7f78e78c78126311641353711b9823a36e3>
[2]<http://rpmfusion.org/FoundingPrinciples>
[3]<http://fedoraproject.org/wiki/PackageMaintainers/WishList#General_Fedora_Packages_WishList>

Note You need to log in before you can comment on or make changes to this bug.